class puppet_enterprise::puppetdb::database_ini(
  $database_host,
  $confdir                    = $puppet_enterprise::params::puppetdb_confdir,
  $database_name              = $puppet_enterprise::params::puppetdb_database_name,
  $database_password          = undef,
  $database_port              = $puppet_enterprise::params::database_port,
  $database_user              = $puppet_enterprise::params::puppetdb_database_user,
  $database_properties        = '',
) inherits puppet_enterprise::params {

  file { "${confdir}/database.ini":
    ensure => present,
    owner  => 'pe-puppetdb',
    group  => 'pe-puppetdb',
    mode   => '0640',
  }

  #Set the defaults
  Pe_ini_setting {
    path    => "${confdir}/database.ini",
    ensure  => present,
    section => 'database',
  }

  pe_ini_setting {'puppetdb_psdatabase_username':
    setting => 'username',
    value   => $database_user,
  }

  if $database_password != undef {
    pe_ini_setting {'puppetdb_psdatabase_password':
      setting => 'password',
      value   => $database_password,
    }
  }

  pe_ini_setting {'puppetdb_classname':
    setting => 'classname',
    value   => 'org.postgresql.Driver',
  }

  pe_ini_setting {'puppetdb_subprotocol':
    setting => 'subprotocol',
    value   => 'postgresql',
  }

  pe_ini_setting {'puppetdb_subname':
    setting => 'subname',
    value   => "//${database_host}:${database_port}/${database_name}${database_properties}",
  }
}
